// fs-service模块
package com.fs.common.config;

import com.fs.common.enums.DataScopeEnum;
import com.fs.common.enums.PlatEnum;

/**
 * 登录上下文回调接口
 */
public interface LoginContextCallback {

    /**
     * 获取当前用户ID
     */
    Long getUserId();

    /**
     * 获取companyUserId
     * 销售端有值
     */
    Long getCompanyUserId();

    /**
     * 获取用户名
     */
    String getUsername();

    /**
     * 获取当前销售用户名
     * @return String
     */
    String getCompanyUserName();

    /**
     * 获取租户ID
     */
    Long getCompanyId();

    /**
     * 获取部门ID
     * @return 部门ID
     */
    Long getDeptId();

    /**
     * 获取当前登录用户数据权限
     * @return DataScopeEnum
     */
    DataScopeEnum getDataScope();


    /**
     * 获取当前执行环境
     * @return PlatEnum
     */
    PlatEnum getNowPlatEnum();
}
